Subject: Re: MPC5200 kernel with IDE *and* FEC?

From: Sylvain Munaut <[email-masked]>
Date: Wed, 09 Mar 2005 09:02:06 +0100

Stephen Warren wrote:

>From: Dale Farnsworth [mailto:[email-masked]] 
>  
>
>>On Tue, Mar 08, 2005 at 05:34:20PM +0000, Stephen Warren wrote:
>>    
>>
>>>I looked at the 2.6.11 kernel.org kernel, and it has MPC5200 IDE
>>>support, but apparently no FEC driver support.
>>>      
>>>
>>Are you sure it has MPC5200 IDE support?  I have yet to see reliable
>>5200 IDE support and haven't seen a 5200 IDE driver for 2.6 at all.
>>    
>>
>
>Not sure, no. Looking at "xconfig", I don't see an option for it. A
>colleague said it did.
>  
>
No it doesn't. Or it's very well hidden ;)
But If you do write it, patches are welcomed.

>We've used IDE (for a DVD-ROM) using the Denx kernel. This didn't have
>DMA suppport, but Freescale gave us a derivate kernel that it, which
>seemed to work well. They said they were going to push this up through
>Denx into the main kernel. Didn't they bother to do this?
>  
>
I guess they mean push it to Denx kernel which IS the main 2.4 kernel 
for MPC5200.
No new platform support will be accepted for 2.4 now. And freescale probably
won't write driver for the tree I maintain since I'm not using the 
official BestComm API.

    Sylvain